-- LPM_ROM: Predefined module created by VHDL Module Generator
--
-- LPM_ROM
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

entity LPM_ROM is
	generic (
		Note: note := "ROM";
		LPM_WIDTH: integer := 8;
		LPM_TYPE: string := "LPM_ROM";
		LPM_WIDTHAD: integer := 4;
		LPM_NUMWORDS: string := "UNUSED";
		LPM_FILE: string := "rom.mif";
		LPM_ADDRESS_CONTROL: string := "UNREGISTERED";
		LPM_OUTDATA: string := "UNREGISTERED";
		LPM_HINT: string := "UNUSED" 
	);
	port (
		ADDRESS: in STD_LOGIC_VECTOR(LPM_WIDTHAD-1 downto 0);
		INCLOCK: in STD_LOGIC;-- := '0';
		OUTCLOCK: in STD_LOGIC;-- := '0';
		MEMENAB: in STD_LOGIC;-- := '1';
		Q: out STD_LOGIC_VECTOR(LPM_WIDTH-1 downto 0)
	);
	type ENUM_LPM_ADDRESS_CONTROL is (REGISTERED, UNREGISTERED);
	type ENUM_LPM_OUTDATA is (REGISTERED, UNREGISTERED);
end LPM_ROM;

architecture LPM_ROM_arch of LPM_ROM is
begin
	-- Enter concurrent statements here
end LPM_ROM_arch;

-- LPM_ROM: Predefined module ended here

