-- LPM_RAM_DQ: Predefined module created by VHDL Module Generator
--
-- LPM_RAM_DQ
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

entity LPM_RAM_DQ is
	generic (
		Note: note := "RAM with Separate Input and Output Ports";
		LPM_WIDTH: integer := 8;
		LPM_TYPE: string := "LPM_RAM_DQ";
		LPM_WIDTHAD: integer := 4;
		LPM_NUMWORDS: string := "UNUSED";
		LPM_FILE: string := "UNUSED";
		LPM_INDATA: string := "UNREGISTERED";
		LPM_ADDRESS_CONTROL: string := "UNREGISTERED";
		LPM_OUTDATA: string := "UNREGISTERED";
		LPM_HINT: string := "UNUSED" 
	);
	port (
		DATA: in STD_LOGIC_VECTOR(LPM_WIDTH-1 downto 0);
		ADDRESS: in STD_LOGIC_VECTOR(LPM_WIDTHAD-1 downto 0);
		WE: in STD_LOGIC;-- := '1';
		INCLOCK: in STD_LOGIC;-- := '0';
		OUTCLOCK: in STD_LOGIC;-- := '0';
		Q: out STD_LOGIC_VECTOR(LPM_WIDTH-1 downto 0)
	);
	type ENUM_LPM_INDATA is (REGISTERED, UNREGISTERED);
	type ENUM_LPM_ADDRESS_CONTROL is (REGISTERED, UNREGISTERED);
	type ENUM_LPM_OUTDATA is (REGISTERED, UNREGISTERED);
end LPM_RAM_DQ;

architecture LPM_RAM_DQ_arch of LPM_RAM_DQ is
begin
	-- Enter concurrent statements here
end LPM_RAM_DQ_arch;

-- LPM_RAM_DQ: Predefined module ended here

